Notify API reference

Notify API · Recipients

get/v1/workspaces/{workspace_id}/recipients/{external_id}Auth

Get a recipient

The profile; devices are under `…/devices`.

Path parameters

workspace_id*string · uuid

Id of the workspace.

external_id*string

Your user id for the recipient (URL-encoded): 1-255 of `A-Z a-z 0-9 . _ : @ | -`.

Response · 200 The recipient.

id*string · uuid

Notify's id for the recipient.

external_id*string

Your user id for the recipient (the path key).

Example: "user_123"

auth_user_id*string · uuid

The linked Auth end user.

email*string · email

Email address.

phone*string

Phone number (E.164).

name*string

Display name.

locale*string

BCP 47 language tag.

timezone*string

IANA time zone.

quiet_hours*object

Quiet window.

properties*object

Your own fields, exactly as sent.

email_invalid_at*string · date-time

When the address hard-bounced; email to it stops until the address changes.

email_complained_at*string · date-time

When the recipient marked an email as spam; email to it stops until the address changes.

last_seen_at*string · date-time

Last client (recipient-token) activity.

unsubscribed_all*boolean

Opted out of every non-critical notification.

preferencesarray

Preference cells; only on `GET /recipients?include=preferences`.

created_at*string · date-time

Created.

updated_at*string · date-time

Last change.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/recipients/{external_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "external_id": "user_123",
  "auth_user_id": "00000000-0000-0000-0000-000000000000",
  "email": "user@example.com",
  "phone": "string",
  "name": "string",
  "locale": "string",
  "timezone": "string",
  "quiet_hours": {},
  "properties": {},
  "email_invalid_at": "2026-01-01T00:00:00.000Z",
  "email_complained_at": "2026-01-01T00:00:00.000Z",
  "last_seen_at": "2026-01-01T00:00:00.000Z",
  "unsubscribed_all": false,
  "preferences": [
    {
      "scope": {},
      "key": "string",
      "channel": {},
      "enabled": false
    }
  ],
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}